ERROR: could not find gem auth_generator-2.0.5.gem locally or in a repository

Hi community,
I found a very interesting plugin called "auth_generator" and wanted
to install it. So I downloaded the provided gem
auth_generator-2.0.5.gem from the website and did this:
$ sudo gem install auth_generator-2.0.5.gem
which echoed this message:
ERROR: could not find gem auth_generator-2.0.5.gem locally or in a
repository

As I'm new to Ruby and to Rails I don't know if that is a mistake of
mine or of the gem, but I hope you can help me to solve the problem.

Thank you very much in advance
Christoph

Although this is more a ruby than a rails problem: Does anybody has an
idea ?

Christoph